Subject: Re: Perl dumping core on Win7 for script that works fine on WinXP
From: Reini Urban <[email-masked]>
To: "KARR, DAVID" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 13 Jan 2012 18:37:29 -0600
List-Id: <cygwin.cygwin.com>

Am 13.01.2012 um 18:17 schrieb KARR, DAVID:

> I've been using Cygwin 1.5.25 on my XP box for quite a while.  I have a Perl script that has been running perfectly well for a long time.
> 
> I'm helping another user get set up so they can run this script.  He's on Win7.  He installed the latest Cygwin and installed all the required Perl modules.  He had some luck running the script, but now we're at a point where the script runs for a couple of seconds then dies with a core dump.  He's running the shell as an administrator.
> 
> I'm attaching the cygcheck output and the perl stackdump.
> 
> I've checked the FAQ, and I don't see anything that jumps out at me.
> 
> What could be happening here?
> <perl.exe.stackdump><cygcheck.out>

The stacktrace tells me nothing. Looks like a perl core bug.
Can you send me your script in private so that I can reproduce it?

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple